export type PitchyAlgorithm = 'ACF2+';
export type PitchyConfig = {
    /**
     * The size of the buffer used to record audio.
     * @default 4096
     */
    bufferSize?: number;
    /**
     * The minimum volume required to start detecting pitch.
     * @default -60
     */
    minVolume?: number;
    /**
     * The algorithm used to detect pitch.
     * @default 'ACF2+'
     */
    algorithm?: PitchyAlgorithm;
};
export type PitchyEventCallback = ({ pitch }: {
    pitch: number;
}) => void;
declare const Pitchy: {
    init(config?: PitchyConfig): any;
    start(): Promise<void>;
    stop(): Promise<void>;
    isRecording(): Promise<boolean>;
    addListener(callback: PitchyEventCallback): import("react-native").EmitterSubscription;
};
export default Pitchy;
//# sourceMappingURL=index.d.ts.map